## opencvtextoverlay opencvtextoverlay |

## Properties

gint | colorB | Read / Write
gint | colorG | Read / Write
gint | colorR | Read / Write
gdouble | height | Read / Write
gchar * | text | Read / Write
gint | thickness | Read / Write
gdouble | width | Read / Write
gint | xpos | Read / Write
gint | ypos | Read / Write

## Types and Values

struct | GstOpencvTextOverlay

## Description

## Synopsis

### Element Information

plugin | opencv
author | sreerenj<bsreerenj@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstOpencvTextOverlay

    struct GstOpencvTextOverlay {
      GstOpencvVideoFilter element;

      CvFont font;

      gint xpos;
      gint ypos;
      gint thickness;
      gint colorR,colorG,colorB;
      gdouble height;
      gdouble width;
      gchar *textbuf;
    };

## Property Details

### The `“colorB”` property

      “colorB”                   gint

Sets the color -B.

Flags: Read / Write

Allowed values: [0,255]

Default value: 0

### The `“colorG”` property

      “colorG”                   gint

Sets the color -G.

Flags: Read / Write

Allowed values: [0,255]

Default value: 0

### The `“colorR”` property

      “colorR”                   gint

Sets the color -R.

Flags: Read / Write

Allowed values: [0,255]

Default value: 0

### The `“height”` property

      “height”                   gdouble

Sets the height of fonts.

Flags: Read / Write

Allowed values: [1,5]

Default value: 1

### The `“text”` property

      “text”                     gchar *

Text to be display.

Flags: Read / Write

Default value: "Opencv Text Overlay"

### The `“thickness”` property

      “thickness”                gint

Sets the Thickness of Font.

Flags: Read / Write

Allowed values: >= 0

Default value: 2

### The `“width”` property

      “width”                    gdouble

Sets the width of fonts.

Flags: Read / Write

Allowed values: [1,5]

Default value: 1

### The `“xpos”` property

      “xpos”                     gint

Sets the Horizontal position.

Flags: Read / Write

Allowed values: >= 0

Default value: 50

### The `“ypos”` property

      “ypos”                     gint

Sets the Vertical position.

Flags: Read / Write

Allowed values: >= 0

Default value: 50